var map = new AMap.Map("map", {
            resizeEnable: true,
            center: [116.397428, 39.90923],//地图中心点
            zoom: 13,//地图显示的缩放级别
            keyboardEnable: false
    });
    map.plugin('AMap.Geolocation', function() {
        geolocation = new AMap.Geolocation({
            enableHighAccuracy: true,//是否使用高精度定位，默认:true
            timeout: 10000,          //超过10秒后停止定位，默认：无穷大
            buttonOffset: new AMap.Pixel(10, 20),//定位按钮与设置的停靠位置的偏移量，默认：Pixel(10, 20)
            buttonPosition:'RB',
            GeoLocationFirst:true,
        });
        map.addControl(geolocation);
        geolocation.getCurrentPosition();
        AMap.event.addListener(geolocation, 'complete', onComplete);//返回定位信息
        AMap.event.addListener(geolocation, 'error', onError);      //返回定位出错信息
    });

    map.getCity(function(result){
        map.plugin(["AMap.Autocomplete"], function() {
            AMap.event.addListener(new AMap.Autocomplete({input: 'rescue',city: result.city,datatype:'poi'}), "select", select);//注册监听，当选中某条记录时会触发
            AMap.event.addListener(new AMap.Autocomplete({input: 'destination',city: result.city,datatype:'poi'}), "select", select);//注册监听，当选中某条记录时会触发
        });

    });

    $('#incidentAddrAddress').click(function(){type = 'rescue'}).on('change',function(){
            data.incidentAddrProvince = '';
            data.incidentAddrCity = '';
            data.incidentAddrDistrict = '';
            data.incidentAddrTown = '';
            data.incidentAddrAddress = $('#rescue').val();
            data.rescueLnt = '';
            data.rescueLat ='';
    })

    $('#destinationAddrAddress').click(function(){type = 'destination'}).on('change',function() {

        data.destinationAddrProvince = '';
        data.destinationAddrCity = '';
        data.destinationAddrDistrict = '';
        data.destinationAddrTown = '';
        data.destinationAddrAddress = $('#destination').val();
        data.destinationLnt = '';
        data.destinationLat = '';
    })

    map.plugin(["AMap.Geocoder"],function(){
        geocoder=new AMap.Geocoder({
            radius: 1000, //以已知坐标为中心点，radius为半径，返回范围内兴趣点和道路信息
            extensions: "all"//城市，默认："全国"
        })
    });




    function select(datas){
        auto = true;


        geocoder.getAddress(datas.poi.location, function(status, result) {

            if (status === 'complete' && result.info === 'OK') {
                if(type == 'destination'){
                    data.destinationAddrProvince = result.regeocode.addressComponent.province;
                    data.destinationAddrCity = result.regeocode.addressComponent.city;
                    data.destinationAddrDistrict = result.regeocode.addressComponent.district;
                    data.destinationAddrTown = result.regeocode.addressComponent.township;
                    data.destinationAddrAddress = result.regeocode.formattedAddress;
                    data.destinationLnt = datas.poi.location.lng;
                    data.destinationLat =datas.poi.location.lat;
                    console.log(data)
                }else{
                    data.incidentAddrProvince = result.regeocode.addressComponent.province;
                    data.incidentAddrCity = result.regeocode.addressComponent.city;
                    data.incidentAddrDistrict = result.regeocode.addressComponent.district;
                    data.incidentAddrTown = result.regeocode.addressComponent.township;
                    data.incidentAddrAddress = result.regeocode.formattedAddress;
                    data.rescueLnt = datas.poi.location.lng;
                    data.rescueLat =datas.poi.location.lat;
                }
               console.log(result)
            }
        });
    }


    function onError(data) {
        console.log(data);
        alert( '定位失败' );
    }

    function onComplete(result) {
        console.log(result)

        if(result.type == 'complete'){
            data.incidentAddrProvince = result.addressComponent.province;
            data.incidentAddrCity = result.addressComponent.city;
            data.incidentAddrDistrict = result.addressComponent.district;
            data.incidentAddrTown = result.addressComponent.township;
            data.incidentAddrAddress = result.formattedAddress;
            data.rescueLnt = result.position.lng;
            data.rescueLat =result.position.lat;

            $('#rescue').val(result.formattedAddress);
        }
    }